Subject: RE: bug#15809: 24.3.50; wrong defcustom type for `suggest-key-bindings'

From: Drew Adams <[email-masked]>
Date: Sat, 8 Feb 2014 18:14:42 -0800 (PST)

> > Instead of `integer' the `choice' should use `number' (and the
> > code should then ignore negative values) or `restricted-sexp'
> > with a test that the time be non-negative.
> 
> Or to be more general, perhaps there should be a custom interval
> type?  Like (integer :minimum 1)
> Or just `natnum'?

That's what `restricted-sexp' is for.  In this case it is a simple
expression.

(And what you suggest is not more general but less general than
`restricted-sexp'.  But that's OK too.)